> ## Documentation Index
> Fetch the complete documentation index at: https://developer.firstbasedev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single package by its unique slug

> Returns full details for a single equipment package identified by its URL-safe slug. Includes the package's SKUs, rules, notes, and configuration fields.



## OpenAPI

````yaml /openapi.json get /api/v1/packages/{slug}
openapi: 3.1.0
info:
  title: Firstbase API Specification Beta
  description: Integration endpoints for Firstbase
  version: 0.1.0
servers:
  - url: /
    description: Default
security:
  - ApiKey: []
tags:
  - name: Inventory Orders
    description: Create and manage inventory orders
  - name: Shipment Notices V1
    description: 'Query shipment notice orders (V1: package items expose `inventories` list)'
  - name: Packages
    description: ''
  - name: Categories
    description: Query available categories for asset creation
  - name: Catalog
    description: ''
  - name: New Joiners
    description: New joiner provisioning pipeline for the organization
  - name: Orders
    description: ''
  - name: People
    description: >-
      Manage the users of Firstbase for your organization. API follows the SCIM
      standard.
    externalDocs:
      url: https://scim.cloud/
  - name: People — Lifecycle
    description: Offboard and reactivate users.
  - name: Assets
    description: Manage inventory assets
  - name: Regions V1
    description: Query regions (V1)
  - name: Warehouses V1
    description: Query warehouses (V1)
  - name: Brands
    description: Query available brands for asset creation
  - name: Inventory
    description: ''
  - name: Replacements
    description: Create and manage equipment replacements
  - name: Offices
    description: Manage and query office locations for the authenticated organization
  - name: Returns
    description: Return and Replacements
paths:
  /api/v1/packages/{slug}:
    get:
      tags:
        - Packages
      summary: Get a single package by its unique slug
      description: >-
        Returns full details for a single equipment package identified by its
        URL-safe slug. Includes the package's SKUs, rules, notes, and
        configuration fields.
      operationId: getPackageBySlug
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The requested package
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPackageResponse'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PublicApiHttpErrors'
        '403':
          description: Endpoint not available for this organization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiHttpErrors'
        '404':
          description: Package not found for the authenticated organization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiHttpErrors'
        '409':
          description: Conflict
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PublicApiHttpErrors'
components:
  schemas:
    GetPackageResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        automaticOrder:
          type: boolean
        approvalRequired:
          type: boolean
        requireJustification:
          type: boolean
        slug:
          type: string
        active:
          type: boolean
        skuIds:
          type: array
          items:
            type: string
            format: uuid
        assignedTo:
          $ref: '#/components/schemas/PackageAssignedToResponse'
        notes:
          type: array
          items:
            $ref: '#/components/schemas/PackageNoteResponse'
      required:
        - active
        - approvalRequired
        - automaticOrder
        - id
        - name
        - notes
        - requireJustification
        - slug
    PublicApiHttpErrors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/PublicApiError'
      required:
        - errors
    PackageAssignedToResponse:
      type: object
      properties:
        people:
          type: array
          items:
            type: string
            format: uuid
    PackageNoteResponse:
      type: object
      description: Package note details
      properties:
        id:
          type: string
          format: uuid
          description: Package note unique identifier
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        note:
          type: string
          description: Note text
          example: Remember to include the welcome letter
        active:
          type: boolean
          description: Whether the note is active
          example: true
      required:
        - id
    PublicApiError:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable description of the error
          example: Invalid request
        source:
          type: string
          description: >-
            Entity or field path that caused the error (for example order,
            shipmentNotice, or person:email)
          example: request
      required:
        - detail
        - source
  securitySchemes:
    ApiKey:
      type: apiKey
      description: Prefix the value with "ApiKey" to indicate the custom authorization type
      name: Authorization
      in: header

````